Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSAttributeGroupDefinition

All Superinterfaces:
  XSObject

public interface XSAttributeGroupDefinition
extends XSObject

This interface represents the Attribute Group Definition schema component.

Method Summary
`XSAnnotation` | `getAnnotation()` An [annotation] if it exists, otherwise `null`.
`XSObjectList` | `getAttributeUses()` A set of [attribute uses] if it exists, otherwise an empty `XSObjectList`.
`XSWildcard` | `getAttributeWildcard()` A [wildcard] if it exists, otherwise `null`.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getAttributeUses

    public XSObjectList getAttributeUses()

  A set of [attribute uses] if it exists, otherwise an empty `XSObjectList`.

### getAttributeWildcard

    public XSWildcard getAttributeWildcard()

  A [wildcard] if it exists, otherwise `null`.

### getAnnotation

    public XSAnnotation getAnnotation()

  An [annotation] if it exists, otherwise `null`.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.